<?xml version="1.0" encoding="UTF-8"?>
<doctrine-mapping>
    <entity name="App\Infrastructure\ContactManagement\Contact\Query\Doctrine\Model\Contact"
            table="contact_management__contacts">

        <embedded
                name="fullName"
                class="App\Domain\SharedKernel\Generic\ValueObject\Person\FullName"
                use-column-prefix="false"
        />
        <embedded
                name="phoneNumber"
                class="App\Domain\SharedKernel\Generic\ValueObject\Phone\PhoneNumber"
        />

        <id name="contactId" type="contact_management__contact_id" column="id"/>

        <field
                name="ownerId"
                type="authentication__user_id"
        />
        <field
                name="emailAddress"
                type="email_address"
        />
        <field
                name="updatedAt"
                type="datetime_immutable"
                nullable="true"
        />
        <field
                name="createdAt"
                type="datetime_immutable"
        />
    </entity>
</doctrine-mapping>